Bug 150671 - Evolution crash when starting evolution-2.2.0-2.i386 with dbus-0.31-2.i386
Evolution crash when starting evolution-2.2.0-2.i386 with dbus-0.31-2.i386
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-09 10:06 EST by James Laska
Modified: 2013-09-02 02:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.2.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-11 12:24:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2005-03-09 10:06:14 EST
evolution crashes on startup with gconf key "gen_dbus_msg" turned on.  With
"gen_dbus_msg" disabled evolution starts without error.  I have updated to the
packages in rawhide-20050309.

# RELEVANT PACKAGES 
=====================
evolution-2.2.0-2.i386
evolution-data-server-1.2.0-2.i386
dbus-0.31-2.i386
dbus-devel-0.31-2.i386
dbus-glib-0.31-2.i386
dbus-python-0.31-2.i386
dbus-x11-0.31-2.i386

GDB Output
============

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208735168 (LWP 4382)]
0x00fdba6b in strlen () from /lib/tls/libc.so.6
(gdb) bt
#0  0x00fdba6b in strlen () from /lib/tls/libc.so.6
#1  0x076a2c42 in dbus_watch_handle () from /usr/lib/libdbus-1.so.1
#2  0x0767dcee in dbus_set_error () from /usr/lib/libdbus-1.so.1
#3  0x0767e9b2 in dbus_set_error () from /usr/lib/libdbus-1.so.1
#4  0x076844fc in dbus_message_iter_append_basic () from /usr/lib/libdbus-1.so.1
#5  0x07682bcf in dbus_message_append_args_valist () from /usr/lib/libdbus-1.so.1
#6  0x076828fd in dbus_message_append_args () from /usr/lib/libdbus-1.so.1
#7  0x00e56e4a in send_dbus_message (message_name=0xe57022 "MessageReading",
data=0x8dbad70 "inbox")
    at new-mail-notify.c:115
#8  0x00ea2b0e in epl_invoke (ep=0x8a78a58, name=0x8a93d90
"org_gnome_message_reading_notify", data=0x6f626e69)
    at e-plugin.c:790
#9  0x00ea203d in e_plugin_invoke (ep=0x8a78a58, name=0x8dbad70 "inbox",
data=0x8dbad70) at e-plugin.c:579
#10 0x00e9d09c in emph_event_handle (ee=0x6f626e69, item=0x6f626e69,
data=0x8a93a60) at e-event.c:406
#11 0x00e9cf43 in e_event_emit (emp=0x8a8ebb0, id=0x55779bc "message.reading",
target=0xb4902f40) at e-event.c:295
#12 0x05524091 in emfv_list_done_message_selected (folder=0x8de2290,
uid=0x8e62058 "1215", msg=0x8e5dfa8, data=0x8b25128)
    at em-folder-view.c:2113
#13 0x055502e0 in get_message_got (mm=0x8e66568) at mail-ops.c:1730
#14 0x0554c711 in mail_msgport_replied (source=0x8ab7c28, cond=G_IO_IN,
d=0x8ab4d70) at mail-mt.c:447
#15 0x00c55d1c in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#16 0x00c3043e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#17 0x00c33446 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#18 0x00c33733 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#19 0x035f9625 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#20 0x08063bf5 in main (argc=148614512, argv=0xbfe7d124) at main.c:614

Strace Output (too large to attache)
====================================
http://devserv.devel.redhat.com/~jlaska/evolution.strace
Comment 1 Dave Malcolm 2005-03-10 12:07:25 EST
johnp: any thoughts?
Comment 2 Dave Malcolm 2005-03-10 16:27:38 EST
patched and built as evolution-2.2.0-5
Comment 3 Dave Malcolm 2005-03-11 12:16:23 EST
This package is now in Rawhide, please confirm that it fixes things.
Comment 4 James Laska 2005-03-11 12:24:50 EST
Confirmed fixed in evolution-2.2.0-5.i386

Note You need to log in before you can comment on or make changes to this bug.